software-center mishandles the description paragraphs

Bug #1202358 reported by Francois Gouget on 2013-07-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
High
Unassigned

Bug Description

software-center extends paragraphs across empty lines whenever the preceding line does not end with a full stop or semi-colon or other punctuation.
To reproduce this bug download the attached package, testpara_1.0-1_all.deb, and open it in software-center. The description should be displayed as follows:

---
 First paragraph.

  On recent Debian and Ubuntu 64-bit distributions this package requires
  multiarch to be enabled before it can be installed. To ensure this is the
  case run the following commands as root first:

  sudo dpkg --add-architecture i386

  sudo apt-get update
---

But instead the two sudo lines are put on one line and thus rendered meaningless:

---
[...]
  sudo dpkg --add-architecture i386 sudo apt-get update
---

I'm also attaching:
 * A tar file containing the source for the test package.
 * A screenshot showing the description being rendered incorrectly in software-center, and correctly in gdebi-gtk.

See alo the Debian policy concerning the description field:
http://www.debian.org/doc/debian-policy/ch-controlfields.html#s-f-Description

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: software-center 5.6.0-0ubuntu2
ProcVersionSignature: Ubuntu 3.8.0-19.29-generic 3.8.8
Uname: Linux 3.8.0-19-generic x86_64
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
Date: Mon Apr 29 18:36:22 2013
InstallationDate: Installed on 2013-04-29 (0 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
MarkForUpload: True
PackageArchitecture: all
SourcePackage: software-center
UpgradeStatus: No upgrade log present (probably fresh install)

Francois Gouget (fgouget) wrote :
Francois Gouget (fgouget) wrote :
Francois Gouget (fgouget) wrote :

This bug is still present in the Ubuntu 13.10 beta1, that is with software-center 13.08-0ubuntu1.

dino99 (9d9) wrote :

That version is no more maintained

Changed in software-center (Ubuntu):
status: New → Invalid
Francois Gouget (fgouget) wrote :

The bug is still present in Ubuntu 15.04's software-center 13.10-0ubuntu6, as well as in the 14.04 LTS version 13.10-0ubuntu4.

Changed in software-center (Ubuntu):
status: Invalid → Confirmed
dino99 (9d9) on 2015-05-07
tags: added: trusty vivid
removed: raring
Changed in software-center (Ubuntu):
importance: Undecided → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers